summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2020-09-09 17:34:36 +0200
committerUlrich Müller <ulm@gentoo.org>2020-09-12 18:03:02 +0200
commit3b5f1523920b5ce7d9a8b20264c9c9279ad0c0d3 (patch)
treee4b4066201a3994aed7a45ff2b239fd36a749077 /eclass/gnome2.eclass
parenteutils.eclass: Deprecate emktemp(). (diff)
downloadgentoo-3b5f1523920b5ce7d9a8b20264c9c9279ad0c0d3.tar.gz
gentoo-3b5f1523920b5ce7d9a8b20264c9c9279ad0c0d3.tar.bz2
gentoo-3b5f1523920b5ce7d9a8b20264c9c9279ad0c0d3.zip
eutils.eclass: Deprecate use_if_iuse().
The function is not called from any ebuilds in the gentoo repository. Inline it as "in_iuse foo && use foo" in other eclasses, or define it as a local function when it is called multiple times. Signed-off-by: Ulrich Müller <ulm@gentoo.org>
Diffstat (limited to 'eclass/gnome2.eclass')
-rw-r--r--eclass/gnome2.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index a16fc916c6d2..1a4ff451df32 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -296,7 +296,7 @@ gnome2_src_install() {
if has ${EAPI:-0} 4; then
if [[ "${GNOME2_LA_PUNT}" != "no" ]]; then
ebegin "Removing .la files"
- if ! use_if_iuse static-libs ; then
+ if ! in_iuse static-libs || ! use static-libs ; then
find "${D}" -name '*.la' -exec rm -f {} + || die "la file removal failed"
fi
eend